## r-bioc-ucsc.utils 1.0.0+ds

=== DESCRIPTION ===
Package: UCSC.utils
Title: Low-level utilities to retrieve data from the UCSC Genome
        Browser
Description: A set of low-level utilities to retrieve data from the UCSC
	Genome Browser. Most functions in the package access the data via
	the UCSC REST API but some of them query the UCSC MySQL server
	directly. Note that the primary purpose of the package is to support
	higher-level functionalities implemented in downstream packages
	like GenomeInfoDb or txdbmaker.
biocViews: Infrastructure, GenomeAssembly, Annotation,
        GenomeAnnotation, DataImport
URL: https://bioconductor.org/packages/UCSC.utils
BugReports: https://github.com/Bioconductor/UCSC.utils/issues
Version: 1.0.0
License: Artistic-2.0
Encoding: UTF-8
Authors@R: person("Hervé", "Pagès", role=c("aut", "cre"),
	          email="hpages.on.github@gmail.com")
Imports: methods, stats, httr, jsonlite, S4Vectors
Suggests: DBI, RMariaDB, GenomeInfoDb, testthat, knitr, rmarkdown,
        BiocStyle
VignetteBuilder: knitr
Collate: 00utils.R UCSC.api.url.R REST_API.R list_UCSC_genomes.R
        get_UCSC_chrom_sizes.R list_UCSC_tracks.R
        fetch_UCSC_track_data.R UCSC_dbselect.R zzz.R
git_url: https://git.bioconductor.org/packages/UCSC.utils
git_branch: RELEASE_3_19
git_last_commit: dc5a0a8
git_last_commit_date: 2024-04-30
Repository: Bioconductor 3.19
Date/Publication: 2024-04-30
NeedsCompilation: no
Packaged: 2024-05-01 06:29:53 UTC; biocbuild
Author: Hervé Pagès [aut, cre]
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-ucsc.utils (1.0.0+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 16:42:14 +0200

r-bioc-ucsc.utils (1.0.0+ds-2~0exp1) experimental; urgency=medium

  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 14:43:31 +0200

r-bioc-ucsc.utils (1.0.0+ds-2~0exp0) experimental; urgency=medium

  * autopkgtests: skip architectures where the dependencies are
    unavailable

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 20 Jul 2024 00:19:07 -0400

r-bioc-ucsc.utils (1.0.0+ds-1) unstable; urgency=medium

  * Initial release (closes: #1076024)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 19:10:08 +0200

=== debian/control ===
Source: r-bioc-ucsc.utils
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ucsc.utils
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ucsc.utils.git
Homepage: https://bioconductor.org/packages/UCSC.utils
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-httr,
               r-cran-jsonlite,
               r-bioc-s4vectors (>= 0.42.1)
Testsuite: autopkgtest-pkg-r

Package: r-bioc-ucsc.utils
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-bioc-s4vectors (>= 0.42.1)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-genomeinfodb (>= 1.40.1),
          r-bioc-biocstyle (>= 2.32.1)
Description: Low-level utilities to retrieve data from the UCSC Genome
       Browser
 A set of low-level utilities to retrieve data from the UCSC
 Genome Browser. Most functions in the package access the data via
 the UCSC REST API but some of them query the UCSC MySQL server
 directly. Note that the primary purpose of the package is to support
 higher-level functionalities implemented in downstream packages
 like GenomeInfoDb or txdbmaker.

## r-bioc-ucsc.utils 1.2.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -11,7 +11,7 @@
         GenomeAnnotation, DataImport
 URL: https://bioconductor.org/packages/UCSC.utils
 BugReports: https://github.com/Bioconductor/UCSC.utils/issues
-Version: 1.0.0
+Version: 1.2.0
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: person("Hervé", "Pagès", role=c("aut", "cre"),
@@ -24,12 +24,12 @@
         get_UCSC_chrom_sizes.R list_UCSC_tracks.R
         fetch_UCSC_track_data.R UCSC_dbselect.R zzz.R
 git_url: https://git.bioconductor.org/packages/UCSC.utils
-git_branch: RELEASE_3_19
-git_last_commit: dc5a0a8
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: d77d73e
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 06:29:53 UTC; biocbuild
+Packaged: 2024-10-30 03:19:48 UTC; biocbuild
 Author: Hervé Pagès [aut, cre]
 Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-ucsc.utils (1.2.0+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 04:01:25 +0100

r-bioc-ucsc.utils (1.2.0+ds-1) experimental; urgency=medium

  * New upstream version
  * Added d/upstream/metadata.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 11:03:23 +0100

r-bioc-ucsc.utils (1.0.0+ds-3) unstable; urgency=medium

  * Team upload.
  * Fix short description
    Closes: #1080979
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Sat, 14 Sep 2024 16:39:09 +0200

=== debian/control ===
Source: r-bioc-ucsc.utils
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ucsc.utils
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ucsc.utils.git
Homepage: https://bioconductor.org/packages/UCSC.utils
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-httr,
               r-cran-jsonlite,
               r-bioc-s4vectors
Testsuite: autopkgtest-pkg-r

Package: r-bioc-ucsc.utils
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Low-level utilities to retrieve data from the UCSC Genome Browser
 A set of low-level utilities to retrieve data from the UCSC
 Genome Browser. Most functions in the package access the data via
 the UCSC REST API but some of them query the UCSC MySQL server
 directly. Note that the primary purpose of the package is to support
 higher-level functionalities implemented in downstream packages
 like GenomeInfoDb or txdbmaker.

=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=auto,repack,compression=xz,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/UCSC.utils.html .*/UCSC.utils_(.*).tar.gz
